{
	"$schema": "https://schemas.wp.org/trunk/block.json",
	"apiVersion": 3,
	"name": "wpuf-ud/posts",
	"title": "WPUF - User Posts",
	"category": "wpuf-ud",
	"description": "Display user posts with various display options.",
	"keywords": [ "posts", "user", "profile", "articles", "content" ],
	"textdomain": "wpuf-pro",
	"attributes": {
		"postType": {
			"type": "string",
			"default": "post"
		},
		"postsPerPage": {
			"type": "number",
			"default": 10
		},
		"profileUserRoles": {
			"type": "array",
			"default": ["all"]
		},
		"viewerRoles": {
			"type": "array",
			"default": ["all"]
		},
		"showPagination": {
			"type": "boolean",
			"default": true
		}
	},
	"usesContext": [ "wpuf-ud/userObject" ],
	"supports": {
		"html": false,
		"spacing": {
			"margin": true,
			"padding": true
		}
	},
	"example": {
		"attributes": {
			"postType": "post",
			"postsPerPage": 10
		}
	}
}
